> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new prescriber

> Create a new prescriber. If you attempt to create a preexisting prescriber (as determined by NPI), the existing prescriber will be returned. If the prescriber already exists elsewhere in Blend (as determined by NPI), the existing prescriber will be associated with your customer.



## OpenAPI

````yaml /openapi-public.yml post /api/v1/prescribers
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/prescribers:
    post:
      tags:
        - Prescribers
      summary: Create a new prescriber
      description: >-
        Create a new prescriber. If you attempt to create a preexisting
        prescriber (as determined by NPI), the existing prescriber will be
        returned. If the prescriber already exists elsewhere in Blend (as
        determined by NPI), the existing prescriber will be associated with your
        customer.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrescriberCreate'
      responses:
        '201':
          description: Prescriber created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrescriberFull'
components:
  schemas:
    PrescriberCreate:
      allOf:
        - $ref: '#/components/schemas/PrescriberCreateUpdateBase'
        - type: object
          properties:
            qualifications:
              type: array
              items:
                $ref: '#/components/schemas/PrescriberQualification'
        - required:
            - first_name
            - last_name
            - phone
            - npi
    PrescriberFull:
      allOf:
        - $ref: '#/components/schemas/ID'
        - $ref: '#/components/schemas/Timestamps'
        - $ref: '#/components/schemas/PrescriberBase'
        - type: object
          properties:
            addresses:
              type: array
              items:
                allOf:
                  - $ref: '#/components/schemas/ID'
                  - $ref: '#/components/schemas/Timestamps'
                  - $ref: '#/components/schemas/AddressCreate'
                  - type: object
                    properties:
                      type:
                        type: string
                        example: practice
                        description: Type of address, either 'practice' or 'working'
            qualifications:
              type: array
              items:
                allOf:
                  - $ref: '#/components/schemas/ID'
                  - $ref: '#/components/schemas/Timestamps'
                  - $ref: '#/components/schemas/PrescriberQualification'
            credentials:
              type: array
              items:
                $ref: '#/components/schemas/PrescriberCredential'
            restrictions:
              type: array
              items:
                $ref: '#/components/schemas/ProductPrescriptionSimple'
    PrescriberCreateUpdateBase:
      allOf:
        - $ref: '#/components/schemas/PrescriberBase'
        - type: object
          properties:
            addresses:
              type: array
              items:
                allOf:
                  - $ref: '#/components/schemas/AddressCreate'
                  - type: object
                    properties:
                      type:
                        type: string
                        example: practice
                        description: Type of address, either 'practice' or 'working'
                    required:
                      - type
            credentials:
              type: array
              description: >-
                Array of credentials, with each credential_code representing the
                prescriber's credentials
              items:
                type: object
                properties:
                  credential_code:
                    type: string
                    example: MD
            restrictions:
              type: array
              description: >-
                Array of prescription product IDs that are restricted from being
                prescribed by the prescriber
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
                    description: ID of the prescription product that is restricted
    PrescriberQualification:
      type: object
      properties:
        state:
          type: string
          example: CA
        license_number:
          type: string
          example: '1234567890'
          description: >-
            License number for the prescriber in this state. Note that when a
            state qualification is updated with a new license number, the old
            qualification will be automatically deactivated.
        description:
          type: string
          example: Nurse Practitioner, Family
          description: Description of the license qualification
        expiration_date:
          type: string
          format: date
          example: '2025-03-15'
        is_active:
          type: boolean
          example: true
      required:
        - state
        - license_number
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    Timestamps:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: Date and time of creation
          example: '2025-03-15T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time of last update
          example: '2025-03-15T12:00:00Z'
    PrescriberBase:
      type: object
      properties:
        first_name:
          type: string
          example: Willard
        middle_name:
          type: string
          example: Moises
        last_name:
          type: string
          example: Donnelly
        email:
          type: string
          example: Harmon43@gmail.com
        phone:
          type: string
          description: 10-digit phone number without formatting, e.g. 6417383445
          example: '6417383445'
        date_of_birth:
          type: string
          format: date
          example: '1990-01-01'
        gender:
          type: string
          example: Male
          description: Gender of the prescriber
        npi:
          type: string
          example: '1234567890'
          description: National Provider Identifier
        dea:
          type: string
          description: DEA Registration Number
          example: F91234563
        spi:
          type: string
          description: Surescripts Provider ID
          example: 1234567890ABCDEF
        driver_license_number:
          type: string
          description: Driver's license number
          example: B49188319
        driver_license_state:
          type: string
          description: Two-letter state abbreviation
          example: CA
        is_active:
          type: boolean
          description: Whether the prescriber is currently active
          example: true
        credential_npi:
          type: string
          description: Direct credential text as provided by the NPI registry
          example: M.D./Ph.D
    AddressCreate:
      type: object
      required:
        - address_1
        - city
        - state
        - zip_code
      properties:
        address_1:
          type: string
          example: 140 Lindgren Streets
        address_2:
          type: string
          example: Apt 227
        city:
          type: string
          example: North Consueloburgh
        state:
          type: string
          description: Two-letter state abbreviation
          example: CA
        country:
          type: string
          description: Two-letter country code, defaults to US
          example: US
        zip_code:
          type: string
          description: 5-digit ZIP code or 9-digit ZIP+4 code, e.g. 02108 or 02108-1234.
          example: '02108'
    PrescriberCredential:
      type: object
      properties:
        credential_code:
          type: string
          example: MD
        credential_name:
          type: string
          example: Doctor of Medicine
    ProductPrescriptionSimple:
      type: object
      allOf:
        - $ref: '#/components/schemas/ID'
        - type: object
          properties:
            name:
              type: string
              example: Mupirocin
            sku:
              type: string
              example: '1234567890'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````